Subject: Re: [AVT] misleading RFC 3611 statement on RTCP packet stacking

From: Roni Even <[email-masked]>
Date: Mon, 18 May 2009 13:34:04 +0300

Hi,

This sounds like a reasonable suggestion. You can do it this way or maybe to
make it simpler change

"XR packets supplement the existing RTCP packets, and may be stacked with
other RTCP packets to form compound RTCP packets [9, Section 6]."

to

"XR packets supplement the existing RTCP packets according to RFC 3550[9]

Roni Even

On Tue, Apr 28, 2009 at 12:16 PM, Timur Friedman <[email-masked]>
wrote:

To follow up on our proposal to file an RFC Errata report, here, for
more direct comparison, is the RFC 3611 text immediately followed by
our suggestion for how it should be read:

> "XR packets supplement the existing RTCP packets, and may be stacked with
> other RTCP packets to form compound RTCP packets [9, Section 6]."

> "XR packets supplement the existing RTCP packets, and stack with other
RTCP
> packets to form compound RTCP packets, as described in Sec. 6 of RFC 3550
> [9]."

Timur

On Wed, Apr 22, 2009 at 8:31 PM, Timur Friedman <[email-masked]>
wrote:
> Some people are reading RFC 3611 as overriding RFC 3550 on RTCP packet
> stacking.
>
> This is what Sec. 1.1 of RFC 3611 says:
>
> "XR packets supplement the existing RTCP packets, and may be stacked with
> other RTCP packets to form compound RTCP packets [9, Section 6]."
>
> Reference 9 is RFC 3550, which says:
>
> "all RTCP packets MUST be sent in a compound packet of at least two
> individual packets"
>
> That is, RFC 3550 says that RTCP packets MUST be stacked into a compound
> packet, and some people are reading RFC 3611 as weakening that mandate to
> say only that RTCP packets MAY be stacked into a compound packet (but also
> MAY NOT, at least in the case of the XR packet).
>
> As one of the authors of RFC 3611, I can say that it was not my intention
to
> override RFC 3550. Nor was it the intention of the two of my eight
> co-authors who I have discussed this with. Rather, the purpose of this
> sentence was to remind the reader that XR packets, like any RTCP packets,
> are designed to be stacked, and to helpfully point the reader to the RFC
> 3550 section that deals with RTCP packet stacking for further details.
>
> To the best of my recollection, no discussion in AVT leading up to
approval
> of RFC 3611 indicates that any group participants at the time believed
that
> RFC 3611 would override RFC 3550 on RTCP packet stacking.
>
> Still, I understand how people are reading RFC 3611 in this way. It does
say
> "may be stacked", and though "may" is not capitalized, it is nonetheless
an
> RFC 2119 keyword, meaning that the item is truly optional.
>
> Co-authors Nick Duffield, Ramon Caceres, and myself would like to open
> discussion on how to address this situation. We start by suggesting that
we
> file an RFC Errata report, indicating that the sentence should read
instead:
>
> "XR packets supplement the existing RTCP packets, and stack with other
RTCP
> packets to form compound RTCP packets, as described in Sec. 6 of RFC 3550
> [9]."
>
> By dropping the "may", we drop any hint that this RFC overrides the RFC
3550
> stacking mandate. And by adding "as described in Sec. 6 of RFC 3550" we
make
> clear the informational nature of this sentence.
>
> Timur Friedman
>
>

---

From: "Roni Even" <[email-masked]>
Date: Mon, 18 May 2009 10:36:19 +0300

Hi,

to

Roni Even

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Timur
Friedman
Sent: Tuesday, April 28, 2009 10:17 PM
To: [email-masked]
Subject: Re: [AVT] misleading RFC 3611 statement on RTCP packet stacking

RTCP

Timur

to
approval
that
say
an
we
RTCP
3550
make
> clear the informational nature of this sentence.
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: Timur Friedman <[email-masked]>
Date: Wed, 27 May 2009 19:49:04 -0700

Roni,

The original sentence in question is the first sentence in a paragraph, the
overall purpose of which is to alert the reader to the potential impact of
XR packets on the RTCP reporting interval.

Basically, the paragraph is saying that the fact of RTCP packet stacking
means that the addition of XR packets will tend to increase the average
overall size of RTCP packets and thus increase the reporting interval.

For this reason, Ramon, Nick and myself advocate an RFC Errata text that
provides a reading of the first sentence that draws explicit attention to
the fact of stacking to create compound packets.

Our concern is that the word "supplement" by itself could be understood
simply to mean that XR packets add to the existing set of packets, without
any sense of increasing the size of a compound RTCP packet.

However, taking your point that the text could be simplified, we would like
to suggest the following:

"XR packets supplement the existing RTCP packets to form compound RTCP
packets according to RFC 3550 [9]."

Timur

On Mon, May 18, 2009 at 3:34 AM, Roni Even <[email-masked]> wrote:

>  Hi,
>
> This sounds like a reasonable suggestion. You can do it this way or maybe
> to make it simpler change
>
>
>
> > “XR packets supplement the existing RTCP packets, and stack with other
> RTCP
> > [9].”
> > “XR packets supplement the existing RTCP packets, and stack with other
> RTCP
> > [9].”